import { ReactElement } from 'react';
export type KaLabelProps = {
    text: string;
    size?: 'xs' | 'sm' | 'md' | 'lg';
    color: 'red' | 'gray' | 'blue' | 'green' | 'yellow' | 'primary';
    type?: 'solid' | 'pale' | 'line' | 'paleBorder';
    containerStyle?: React.CSSProperties;
    fontStyle?: React.CSSProperties;
    onClick?: () => void;
};
export declare const KaLabel: ({ size, text, color, type, containerStyle, fontStyle, onClick, }: KaLabelProps) => ReactElement;
