import React, { ReactElement } from 'react';
export interface KaTextareaProps {
    title?: string;
    maxNumOfChar?: string;
    message?: string;
    textareaProps: {
        text: string;
        onChangeText: (text: string) => void;
        placeholder?: string;
        onKeyDown?: (event: React.KeyboardEvent) => void;
        rows?: number;
    };
    disabled?: boolean;
    isError?: boolean;
}
export declare const KaTextarea: ({ title, maxNumOfChar, message, textareaProps, disabled, isError, }: KaTextareaProps) => ReactElement;
