import '@emotion/react';
export declare const darkTheme: {
    gray: {
        '0': string;
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    elevation: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
        dimmer: string;
    };
    brand: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
    };
    highlight: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
    };
    accentDarkGreen: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
    };
    success: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    warning: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    danger: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    info: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    decorative: {
        salmon: string;
        lemon: string;
    };
    sub: {
        purple: string;
        pink: string;
        orange: string;
    };
};
export type KaTheme = typeof darkTheme;
declare module '@emotion/react' {
    interface Theme extends KaTheme {
    }
}
export declare const themeFunc: <T1 extends keyof KaTheme, T2 extends keyof KaTheme[T1]>(val1: T1, val2: T2, opacity?: number) => ({ theme }: {
    theme: KaTheme;
}) => string;
export declare const lightTheme: {
    gray: {
        '0': string;
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    elevation: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
        dimmer: string;
    };
    brand: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
    };
    highlight: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
    };
    accentDarkGreen: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
    };
    success: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    warning: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    danger: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    info: {
        '1': string;
        '2': string;
        '3': string;
        '4': string;
        '5': string;
        '6': string;
        '7': string;
        '8': string;
        '9': string;
        '10': string;
    };
    decorative: {
        salmon: string;
        lemon: string;
    };
    sub: {
        purple: string;
        pink: string;
        orange: string;
    };
};
